YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000143YaCy[All Projects] Generalpublic2012-01-25 21:502015-02-19 03:18
ReporterQuix0r 
Assigned To 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
ETAnone 
PlatformDebian UnstableOSLinuxOS Version2.6.37
Product VersionYaCy 1.0 
Target VersionFixed in VersionYaCy 1.0 
Summary0000143: Blacklist class: Rewritte all BLACKLIST_FOO to enum
DescriptionThe enum may consume lesser memory as a bunch of final, static strings + a HashSet (BLACKLIST_TYPES) and is also a better type-hint in method signatures than a String.
Tagscode style, enum, HashSet, String, type-hint
Attached Files

- Relationships

-  Notes
(0000385)
Quix0r (updater)
2012-05-30 16:18

Ist mit commit https://gitorious.org/~quix0r/yacy/quix0rs-rc1/commit/8d8a63f9e76cc70aada0b9c7d67351ea6989629e [^] eingebaut.
(0000386)
Quix0r (updater)
2012-05-30 16:43
edited on: 2012-05-30 17:03

Mist, die enums sind alle gross geschrieben, ich wollte sie wie alle anderen enums auch gross schreiben und nicht auf einmal klein, um ein einheitliches Bild zu bekommen. Dadurch sind jetzt alle Blacklists deaktiviert und werden nicht beruecksichtigt. :(

EDIT 1:
Dazu muesste toString() ueberschrieben werden:
@Override
public final String toString () {
    return super.toString().toLowerCase();
}

So sollte es dann wieder funktionieren, ohne wenig Code anzufassen und ohne alle Leute zum re-aktivieren der Blacklists auffordern zu muessen. :)

EDIT 2:
Ist hiermit eingebaut:
https://gitorious.org/~quix0r/yacy/quix0rs-rc1/commit/9fef3c0e0952ce3ae4207ffb9ee72ff10144bf9e [^]

Ich sollte mal mehr testen. :(

(0000392)
Quix0r (updater)
2012-06-04 17:11

Commit https://gitorious.org/~quix0r/yacy/quix0rs-rc1/commit/2900fde84ac8bab65ed84bb3f062755db48690e0 [^] enthaelt nun abermals die noetigen Aenderungen fuer das enum.

Commit https://gitorious.org/~quix0r/yacy/quix0rs-rc1/commit/2c4ff32c86e3d849ad49c5e6bd41baf8cbe2fc7c [^] konvertiert nur Tabs in Leerschritte. :(
(0000393)
Quix0r (updater)
2012-06-11 20:55

Okay, ich musste nochmals Aenderungen vornehmen (final und @Override viel). Das meiste aber habe ich auch bei mir uebernommen.
(0000408)
Quix0r (updater)
2012-07-19 23:46

Ich denke, soweit ist das aufgenommen. Fehlt halt nur noch die Umstellung Map->ConcurrentMap, da Map eine allgemeine (generic) Map ist und ConcurrentMap die ConcurrentHashMap genauer umschreibt.

Dies ist generell so Regeln, dass man nicht ein generic Interface, sondern eines nimmt, dass das betreffende Objekt am dichtesten umschreibt. Z.B. erlaubt Map auch TreeMap oder LinkedHashMap, beides ist aber keines falls "kompatibel" zu HashMap.

- Issue History
Date Modified Username Field Change
2012-01-25 21:50 Quix0r New Issue
2012-01-25 21:50 Quix0r Tag Attached: code style
2012-01-25 21:50 Quix0r Tag Attached: enum
2012-01-25 21:50 Quix0r Tag Attached: HashSet
2012-01-25 21:50 Quix0r Tag Attached: String
2012-01-25 21:50 Quix0r Tag Attached: type-hint
2012-05-30 16:18 Quix0r Note Added: 0000385
2012-05-30 16:19 Quix0r Resolution open => fixed
2012-05-30 16:43 Quix0r Note Added: 0000386
2012-05-30 16:55 Quix0r Note Added: 0000387
2012-05-30 16:56 Quix0r Note Deleted: 0000387
2012-05-30 16:56 Quix0r Note Edited: 0000386 View Revisions
2012-05-30 16:59 Quix0r Note Edited: 0000386 View Revisions
2012-05-30 17:03 Quix0r Note Edited: 0000386 View Revisions
2012-06-04 17:11 Quix0r Note Added: 0000392
2012-06-11 20:55 Quix0r Note Added: 0000393
2012-07-19 23:46 Quix0r Note Added: 0000408
2012-07-19 23:49 Quix0r Fixed in Version => YaCy 1.0
2015-02-19 03:18 BuBu Status new => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker